#ifndef _168_AVR_PWM_H_
#define _168_AVR_PWM_H_

#include <iom168v.h>
#include <AVRdef.h> 
#include "mytype.h"

#define key_dat_out       DDRC=0xff
#define key_dat_in        DDRC=0x00
#define key_dat_outdat    PORTC
#define key_dat_indat     PINC

#define fifo_wrst_setb   PORTB|=(1<<BIT5)
#define fifo_wrst_clr    PORTB&=~(1<<BIT5)
#define fifo_wrst_out    DDRB|=(1<<BIT5)

void PWM_RST(void);
void PWM_EN(uchar PWM_ON);
void motorL_reg(uchar DIR,uchar Empty);
void motorR_reg(uchar DIR,uchar Empty);


#endif